Page MenuHomePhabricator

password reset email may show the password in the wrong order when the email is translated to an RTL language
Closed, ResolvedPublic

Description

When a password reset email is sent in an RTL language, the mix of numbers and Latin letters in the password may get mixed up. This is very confusing and it prevents the user from logging in, unless the user is experienced with copying and pasting in messed-up RTL emails.

Since we cannot be sure that the email client correctly guesses that the email is RTL (even the most modern clients frequently fail at this), the safest and simplest way to fix it would be to put the password on a separate line.

Details

Related Gerrit Patches:

Event Timeline

Amire80 created this task.Aug 7 2015, 1:53 PM
Amire80 raised the priority of this task from to High.
Amire80 updated the task description. (Show Details)
Amire80 added a subscriber: Amire80.
Restricted Application added a project: I18n. · View Herald TranscriptAug 7 2015, 1:53 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript

Change 230103 had a related patch set uploaded (by Amire80):
Add line breaks between label and value in "Username" and "Password"

https://gerrit.wikimedia.org/r/230103

Amire80 claimed this task.Aug 7 2015, 2:24 PM

Here's an example of how it may appear:

The password is supposed to be "2269e3fhkm", but it appears on two sides of the word "password".

Verily, this is one of the headdeskiest bugs ever.

Ebraminio moved this task from Backlog to MediaWiki-core on the RTL board.Aug 9 2015, 11:42 AM

Change 230103 merged by jenkins-bot:
Add line breaks between label and value in "Username" and "Password"

https://gerrit.wikimedia.org/r/230103

Amire80 closed this task as Resolved.Sep 17 2015, 6:50 AM